$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-acf51f0ead97f03aa629714baa80027aec1a61ef/rpcs3-v0.0.11-10611-acf51f0e_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '54e4c26283bbb6426b6e93494bfbfdde9e4bd0c581c49dfc4eff91274aabfa9e'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
